parameter unique index migration should account for duplicate data

08/12/2015 09:32 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: DB migrations   

Target version: 1.9.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.7.2

Bugzilla link: 1213000 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2600

  

Description

20140805114754_add_unique_index_to_parameter.rb adds a unique migration but does not account for non-unique data.  A

previous bug related to host group cloning (we believe) led to a situation where duplicate data could be added to the db.

Related issues:

Related to Foreman - Bug #6695: Adding two OS parameters with same name doesn... Closed 07/20/2014

Associated revisions

Revision fe501072 - 08/14/2015 02:08 AM - Justin Sherrill

Fixes #11339 - ensure unique parameters before adding uniq index

Revision 10a9a917 - 09/09/2015 10:52 AM - Justin Sherrill

Fixes #11339 - ensure unique parameters before adding uniq index

(cherry picked from commit fe5010723b86f26018fc7fb4ee054c734173b5a2)

History

#1 - 08/12/2015 09:34 PM - Justin Sherrill

Error in question:

PGError: ERROR:  could not create unique index "index_parameters_on_type_and_reference_id_and_name"

DETAIL:  Key (type, reference_id, name)=(GroupParameter, 2, kt_org) is

duplicated.

#2 - 08/12/2015 09:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2600 added

- Pull request deleted ()

#3 - 08/12/2015 09:41 PM - Justin Sherrill

- Bugzilla link set to 1213000

#4 - 08/14/2015 02:59 AM - Dominic Cleal

- Related to Bug #6695: Adding two OS parameters with same name doesn't raise any error when values are different added

#5 - 08/14/2015 02:59 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#6 - 08/14/2015 03:01 AM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset fe5010723b86f26018fc7fb4ee054c734173b5a2.
